%{
#undef input
#undef unput

extern int input(void);
extern void unput(int ch);
extern char *progName;
extern unsigned fname;

#include <stdio.h>
%}

%s FNAME

%%

%{
/* This is the init part of the yylex()    */
/* White space and EOL is important to lex */
%}

<INITIAL>[]+       ;

<INITIAL>-h        |
<INITIAL>-help     { 
                      printf("The following are help info ......\n\n");
                   }

<INITIAL>-v        |
<INITIAL>-verbose  {
                     printf("verbose mode is on\n");
                   }

<INITIAL>-f        |
<INITIAL>-file     { 
                     BEGIN FNAME; 
                     fname=1;
                   }

<INITIAL>[^ ]+     {
                     printf("Usage is: %s [-help | -h] [-verbose | -v] "
                            "[(-file | -f) filename] \n", progName);
                   }

<FNAME>[^ ]+       {
                     printf("use file %s\n", yytext); 
                     BEGIN INITIAL; 
                     fname=2;
                   }
<FNAME>[]+         ;

%%     
/* the yywrap is a function in libl.a or liby.a, we just substitute it with a new one */

int yywrap()
{
  return(1);
}












